<?xml version="1.0" encoding="UTF-8"?>



<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.lutao.cloud.consume.mapper.PlatformInfoMapper">

  <resultMap id="platformInfoMap" type="com.lutao.entity.PlatformInfo">
                  <id property="id" column="id"/>
                        <result property="originId" column="origin_id"/>
                        <result property="appId" column="app_id"/>
                        <result property="platformName" column="platform_name"/>
                        <result property="platformCode" column="platform_code"/>
                        <result property="platformType" column="platform_type"/>
                        <result property="platformLat" column="platform_lat"/>
                        <result property="platformLng" column="platform_lng"/>
                        <result property="lifeboatQuantity" column="lifeboat_quantity"/>
                        <result property="personnelLifeboatQuantity" column="personnel_lifeboat_quantity"/>
                        <result property="liferaftQuantity" column="liferaft_quantity"/>
                        <result property="personnelLiferaftQuantity" column="personnel_liferaft_quantity"/>
                        <result property="personnelLqQuantity" column="personnel_lq_quantity"/>
                        <result property="createDate" column="create_date"/>
                        <result property="createBy" column="create_by"/>
                        <result property="updateDate" column="update_date"/>
                        <result property="updateBy" column="update_by"/>
            </resultMap>
</mapper>
